using MultiLayout;
using MultiLayout.UiModule;
using System.Windows;
using System.Windows.Controls;
using Unity;

namespace FLY.Thick.FilmCasting.UI.UiModule
{
    /// <summary>
    /// MenuSetting.xaml 的交互逻辑
    /// </summary>
    public partial class MenuSetting : UserControl
    {
        IUnityContainer container;
        public MenuSetting()
        {
            InitializeComponent();
        }
        [InjectionMethod]
        public void Init(IUnityContainer container)
        {
            this.container = container;
        }
        private void btnProfileClick(object sender, RoutedEventArgs e)
        {
            PgMenu p = new PgMenu();
            container.BuildUp(p);
            FlyLayoutManager.NavigationService.Navigate(p);
        }
    }
    public class UiModule2_MenuSetting : IUiModule2
    {
        public string Title => "测厚.菜单";

        public ComponentType Type => ComponentType.Menu;

        public bool IsUnique => true;

        public FrameworkElement GetComponent(int id, IUnityContainer container)
        {
            MenuSetting menu = new MenuSetting();
            container.BuildUp(menu);
            return menu;
        }

        public FrameworkElement GetThumbnail()
        {
            return new System.Windows.Controls.Grid();
        }

        public void MatchParam(int[] IDs)
        {

        }
    }
}
